> ## Documentation Index > Fetch the complete documentation index at: https://docs.mapp.com/llms.txt > Use this file to discover all available pages before exploring further. # Get a draft message > Returns a draft message identified by the specified draft message ID. ## OpenAPI ````json GET /draftmessage/get { "openapi": "3.0.4", "info": { "title": "Engage public API", "version": "1" }, "servers": [ { "url": "https://your-engage-domain.com/api/rest" } ], "tags": [ { "name": "Address Attributes" }, { "name": "Async" }, { "name": "Audit Log" }, { "name": "Automation" }, { "name": "Blacklist" }, { "name": "CMS" }, { "name": "Contact" }, { "name": "Content" }, { "name": "Coupon" }, { "name": "Draft Message" }, { "name": "Ecommerce" }, { "name": "Group" }, { "name": "Group Attributes" }, { "name": "Landing Page" }, { "name": "Member Attributes" }, { "name": "Membership" }, { "name": "Message" }, { "name": "Meta" }, { "name": "Mobile Push" }, { "name": "Prepared Message" }, { "name": "Process" }, { "name": "Profile Attributes" }, { "name": "Related Data" }, { "name": "Segmentation" }, { "name": "System" }, { "name": "System User" }, { "name": "Usage Statistics" }, { "name": "User" }, { "name": "Whiteboard" } ], "paths": { "/draftmessage/get": { "get": { "tags": [ "Draft Message" ], "summary": "Get a draft message", "description": "Returns a draft message identified by the specified draft message ID.", "operationId": "GetDraftMessage", "parameters": [ { "name": "draftMessageId", "in": "query", "description": "ID of draft message", "required": true, "schema": { "type": "integer", "format": "int64" } } ], "responses": { "200": { "description": "Example response:

{
\"id\": 18060600,
\"name\": \"Test\",
\"externalId\": null,
\"messageCategoryId\": null,
\"message\": {
\"subject\": \"Test\",
\"emailBodyText\": null,
\"emailBodyHtml\": \"Test\",
\"smsText\": null,
\"faxText\": null,
\"emailHeaders\": [],
\"attachments\": [],
\"attachmentReferences\": null,
\"encoding\": \"ISO-8859-1\",
\"encodingSMS\": \"ISO-8859-1\",
\"imageHandlingMode\": \"none\"
}
}", "content": { "application/octet-stream": { "schema": { "$ref": "#/components/schemas/DraftMessage" } } } }, "400": { "description": "", "content": { "application/octet-stream": {} } }, "404": { "description": "Error response: {
\"errorActor\": \"CLIENT\",
\"errorCode\": \"INVALID_REQUEST\",
\"message\": \"Not Found\"
}", "content": { "application/octet-stream": {} } } } } } }, "components": { "schemas": { "DraftMessage": { "type": "object", "properties": { "id": { "type": "integer", "format": "int64" }, "name": { "type": "string" }, "externalId": { "type": "string" }, "messageCategoryId": { "type": "integer", "format": "int64" }, "message": { "$ref": "#/components/schemas/MessageBase" } } }, "MessageBase": { "type": "object", "properties": { "subject": { "type": "string" }, "emailBodyText": { "type": "string" }, "emailBodyHtml": { "type": "string" }, "smsText": { "type": "string" }, "faxText": { "type": "string" }, "emailHeaders": { "type": "array", "items": { "$ref": "#/components/schemas/Attribute" } }, "attachments": { "type": "array", "items": { "$ref": "#/components/schemas/Attachment" } }, "attachmentReferences": { "type": "array", "items": { "$ref": "#/components/schemas/AttachmentReference" } }, "encoding": { "type": "string" }, "encodingSMS": { "type": "string" }, "imageHandlingMode": { "type": "string" } } }, "Attribute": { "type": "object", "properties": { "name": { "type": "string" }, "value": { "type": "string" } } }, "Attachment": { "type": "object", "properties": { "name": { "type": "string" }, "contentType": { "type": "string" }, "content": { "type": "string" } } }, "AttachmentReference": { "type": "object", "properties": { "contentId": { "type": "string" }, "reference": { "type": "string" } } } } } } ````